MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005365ATutorSocialpublic2013-10-12 11:562013-12-28 12:50
Reportergreg 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version2.2Fixed in Version2.2 
Summary0005365: Social confirmed friends show up as pending
DescriptionConfirmed friend always show up in My Contacts as "Pending."
mods/_standard/social/connections.php

Line 83 in default/social/connections.tmpl.php always resolve true $person['pending']==1, even though showing debug($person) shows only the fiends ID number. When debug($person['pending']) the value is always set to 1 for some reason I'm unable to determine. This does not occur in 2.1.1, only in the current git code.
TagsNo tags attached.
Affects versionSVN
SVN Revision#adaf535..4e66141 master -> master
Attached Files

- Relationships

-  Notes
(0006515)
greg (administrator)
2013-10-15 20:21

This is related to the PHP version. The problem exists with php 5.4.10 but not with 5.2.17.
(0006516)
greg (administrator)
2013-10-16 09:24

initialize $connections array to provide 5.4+ support
(0006630)
greg (administrator)
2013-12-28 12:50

closed for ATutor 2.2

- Issue History
Date Modified Username Field Change
2013-10-12 11:56 greg New Issue
2013-10-15 20:21 greg Note Added: 0006515
2013-10-16 09:24 greg SVN Revision# => adaf535..4e66141 master -> master
2013-10-16 09:24 greg Note Added: 0006516
2013-10-16 09:24 greg Status new => resolved
2013-10-16 09:24 greg Fixed in Version => 2.2
2013-10-16 09:24 greg Resolution open => fixed
2013-10-16 09:24 greg Assigned To => greg
2013-12-28 12:50 greg Note Added: 0006630
2013-12-28 12:50 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker